From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pysrt/
Date: Wed, 25 Jul 2018 23:23:38 +0000 (UTC) [thread overview]
Message-ID: <1532561012.b73debca0270dbf3e8c831f1907d8bf84c5fc8b4.sbraz@gentoo> (raw)
commit: b73debca0270dbf3e8c831f1907d8bf84c5fc8b4
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 25 22:50:42 2018 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Jul 25 23:23:32 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b73debca
dev-python/pysrt: add Python 3.7, PyPy{,3}, don't run coverage tests
Also use a proper PyPI URL since those work again, make tests verbose
and update license to GPl-3 or later.
Package-Manager: Portage-2.3.43, Repoman-2.3.10
dev-python/pysrt/pysrt-1.1.1-r1.ebuild | 35 ++++++++++++++++++++++++++++++++++
1 file changed, 35 insertions(+)
diff --git a/dev-python/pysrt/pysrt-1.1.1-r1.ebuild b/dev-python/pysrt/pysrt-1.1.1-r1.ebuild
new file mode 100644
index 00000000000..5ceb7f70950
--- /dev/null
+++ b/dev-python/pysrt/pysrt-1.1.1-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library used to edit or create SubRip files"
+HOMEPAGE="https://github.com/byroot/pysrt https://pypi.org/project/pysrt/"
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/byroot/pysrt.git"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="dev-python/chardet[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests -v || die "Tests failed under ${EPYTHON}"
+}
next reply other threads:[~2018-07-25 23:23 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-07-25 23:23 Louis Sautier [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-18 8:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/pysrt/ Michał Górny
2023-11-24 15:45 Arthur Zamarin
2023-10-28 18:40 Michał Górny
2023-03-16 18:52 Michał Górny
2022-07-02 19:26 Michał Górny
2022-07-02 18:18 Sam James
2022-07-02 16:11 Michał Górny
2022-07-02 16:05 Jakov Smolić
2022-06-01 1:25 Sam James
2021-05-19 7:33 Michał Górny
2020-10-27 19:58 Sam James
2020-10-27 5:11 Sam James
2020-08-02 19:05 Sam James
2020-05-09 7:48 Agostino Sarubbo
2020-05-09 7:40 Agostino Sarubbo
2020-03-28 18:26 Michał Górny
2020-02-05 19:53 Michał Górny
2020-01-22 14:44 Louis Sautier
2020-01-22 12:33 Louis Sautier
2020-01-22 12:33 Louis Sautier
2020-01-22 12:33 Louis Sautier
2018-07-25 23:23 Louis Sautier
2018-07-25 23:23 Louis Sautier
2018-06-18 10:34 Louis Sautier
2017-05-17 11:39 Manuel Rüger
2016-12-29 10:45 Agostino Sarubbo
2016-12-20 13:29 Tobias Klausmann
2016-04-24 13:31 Ian Delaney
2016-03-07 9:28 Jason Zaman
2016-03-07 8:07 Ian Delaney
2016-02-02 12:43 Ian Delaney
2015-10-22 11:09 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1532561012.b73debca0270dbf3e8c831f1907d8bf84c5fc8b4.sbraz@gentoo \
--to=sbraz@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox